# This is an auto-generated Django model module.
# You'll have to do the following manually to clean this up:
#     * Rearrange models' order
#     * Make sure each model has one field with primary_key=True
# Feel free to rename the models, but don't rename db_table values or field names.
#
# Also note: You'll have to insert the output of 'django-admin.py sqlcustom [appname]'
# into your database.

from django.db import models

class Acrolike(models.Model):
    id = models.IntegerField(primary_key=True)
    title = models.CharField(max_length=765)

    class Meta:
        db_table = u'acrolike'

class Acronym(models.Model):
    id = models.IntegerField(primary_key=True)
    name = models.CharField(max_length=765, blank=True)
    c = models.CharField(max_length=150, blank=True)
    a = models.CharField(max_length=150, blank=True)
    m = models.CharField(max_length=150, blank=True)
    p = models.CharField(max_length=150, blank=True)

    class Meta:
        db_table = u'acronym'

class Audios(models.Model):
    id = models.IntegerField(primary_key=True)
    filename = models.CharField(max_length=765)
    title = models.CharField(max_length=765, blank=True)
    description = models.TextField(blank=True)

    class Meta:
        db_table = u'audios'

class Comments(models.Model):
    id = models.IntegerField(primary_key=True)
    comment = models.TextField()
    name = models.CharField(max_length=450, blank=True)
    email = models.CharField(max_length=765, blank=True)
    personid = models.ForeignKey("People", null=True, db_column='personID', blank=True) # Field name made lowercase.
    dateadded = models.DateTimeField(db_column='dateAdded') # Field name made lowercase.
    datemodified = models.DateTimeField(null=True, db_column='dateModified', blank=True) # Field name made lowercase.
    parentid = models.ForeignKey("Comments", null=True, db_column='parentID', blank=True) # Field name made lowercase.
    contentid = models.ForeignKey("Content", db_column='contentID') # Field name made lowercase.
    ip = models.CharField(max_length=150, db_column='IP', blank=True) # Field name made lowercase.

    class Meta:
        db_table = u'comments'

class Content(models.Model):
    id = models.IntegerField(primary_key=True)
    shortname = models.CharField(max_length=765, db_column='shortName') # Field name made lowercase.
    title = models.CharField(max_length=765)
    header = models.TextField(blank=True)
    body = models.TextField(blank=True)
    schedule = models.TextField(blank=True)
    schedulebutton = models.CharField(max_length=765, db_column='scheduleButton', blank=True) # Field name made lowercase.
    optbtn2 = models.CharField(max_length=381, db_column='optBtn2', blank=True) # Field name made lowercase.
    opttext2 = models.TextField(db_column='optText2', blank=True) # Field name made lowercase.
    optbtn3 = models.CharField(max_length=381, db_column='optBtn3', blank=True) # Field name made lowercase.
    opttext3 = models.TextField(db_column='optText3', blank=True) # Field name made lowercase.
    technotes = models.TextField(blank=True)
    image = models.CharField(max_length=450, blank=True)
    postedby = models.CharField(max_length=150, db_column='postedBy', blank=True) # Field name made lowercase.
    datestart = models.DateField(null=True, db_column='dateStart', blank=True) # Field name made lowercase.
    dateend = models.DateField(null=True, db_column='dateEnd', blank=True) # Field name made lowercase.
    dateadded = models.DateTimeField(db_column='dateAdded') # Field name made lowercase.
    datemodified = models.DateTimeField(null=True, db_column='dateModified', blank=True) # Field name made lowercase.
    type = models.ForeignKey("ContentTypes", db_column="type")
    published = models.IntegerField()
    related_content = models.ManyToManyField("Content", through="ContentContent", related_name="related_contents", blank=True)
    keywords = models.ManyToManyField("Keywords", through="ContentKeyword", blank=True)
    resources = models.ManyToManyField("Resources", through="ContentResource", blank=True)
    view = models.ForeignKey("Views", null=True, blank=True, db_column="view")
    parentid = models.ForeignKey("Content", db_column='parentId') # Field name made lowercase.

    def __unicode__(self):
        return self.title
    
    class Meta:
        db_table = u'content'

class ContentContent(models.Model):
    id = models.IntegerField(primary_key=True)
    contentid1 = models.ForeignKey("Content", db_column='contentID1', related_name="related1") # Field name made lowercase.
    contentid2 = models.ForeignKey("Content", db_column='contentID2', related_name="related2") # Field name made lowercase.

    class Meta:
        db_table = u'content_content'

class ContentKeyword(models.Model):
    id = models.IntegerField(primary_key=True)
    contentid = models.ForeignKey("Content", db_column='contentID') # Field name made lowercase.
    keywordid = models.ForeignKey("Keywords", db_column='keywordID') # Field name made lowercase.

    class Meta:
        db_table = u'content_keyword'

class ContentResource(models.Model):
    id = models.IntegerField(primary_key=True)
    contentid = models.ForeignKey("Content", db_column='contentID') # Field name made lowercase.
    resourceid = models.ForeignKey("Resources", db_column='resourceID') # Field name made lowercase.

    class Meta:
        db_table = u'content_resource'

class ContentTypes(models.Model):
    id = models.IntegerField(primary_key=True)
    name = models.CharField(max_length=765)
    description = models.TextField(blank=True)

    def __unicode__(self):
        return self.name
    
    class Meta:
        db_table = u'content_types'

class Keywords(models.Model):
    id = models.IntegerField(primary_key=True)
    name = models.CharField(max_length=765)
    description = models.TextField(blank=True)

    def __unicode__(self):
        return self.name
    
    class Meta:
        db_table = u'keywords'

class People(models.Model):
    id = models.IntegerField(primary_key=True)
    name = models.CharField(max_length=765, blank=True)
    email = models.CharField(max_length=765, blank=True)
    location = models.CharField(max_length=765, blank=True)
    login = models.CharField(max_length=300, blank=True)
    password = models.CharField(max_length=48, blank=True)
    href = models.CharField(max_length=765, blank=True)
    bio = models.TextField(blank=True)
    content = models.ManyToManyField("Content", through="PersonContent", blank=True)
    resources = models.ManyToManyField("Resources", through="PersonResource", blank=True)
    type = models.IntegerField()

    def __unicode__(self):
        return "%s: %s" (self.name, self.email, )
    class Meta:
        db_table = u'people'

class PersonContent(models.Model):
    id = models.IntegerField(primary_key=True)
    personid = models.ForeignKey("People", db_column='personID') # Field name made lowercase.
    contentid = models.ForeignKey("Content", db_column='contentID') # Field name made lowercase.
    level = models.IntegerField()

    class Meta:
        db_table = u'person_content'

class PersonResource(models.Model):
    id = models.IntegerField(primary_key=True)
    personid = models.ForeignKey("People", db_column='personID') # Field name made lowercase.
    resourceid = models.ForeignKey("Resources", db_column='resourceID') # Field name made lowercase.

    class Meta:
        db_table = u'person_resource'

class Resources(models.Model):
    id = models.IntegerField(primary_key=True)
    type = models.IntegerField()
    href = models.CharField(max_length=765)
    description = models.TextField(blank=True)
    mime = models.CharField(max_length=30, blank=True)
    width = models.IntegerField(null=True, blank=True)
    height = models.IntegerField(null=True, blank=True)
    istech = models.IntegerField(db_column='isTech') # Field name made lowercase.
    dateadded = models.DateTimeField(db_column='dateAdded') # Field name made lowercase.
    orderno = models.IntegerField(null=True, db_column='orderNo', blank=True) # Field name made lowercase.

    def __unicode__(self):
        return "%d: %s" % (self.id, self.href)
        
    class Meta:
        db_table = u'resources'

class Videos(models.Model):
    id = models.IntegerField(primary_key=True)
    sha1 = models.CharField(max_length=150)
    href = models.CharField(max_length=765)
    title = models.TextField(blank=True)
    description = models.TextField(blank=True)
    width = models.IntegerField(null=True, blank=True)
    height = models.IntegerField(null=True, blank=True)
    duration = models.IntegerField(null=True, blank=True)
    thumbno = models.IntegerField(db_column='thumbNo') # Field name made lowercase.
    image = models.CharField(max_length=765, blank=True)
    contentid = models.ForeignKey("Content", null=True, blank=True)

    def __unicode__(self):
        return self.title
    
    class Meta:
        db_table = u'videos'

class Views(models.Model):
    id = models.IntegerField(primary_key=True)
    name = models.CharField(max_length=765)
    href = models.CharField(max_length=765, blank=True)

    def __unicode__(self):
        return self.name
    
    class Meta:
        db_table = u'views'

